Package org.eclipse.cdt.core.settings.model.util

# Class PathSettingsContainer

java.lang.Object
org.eclipse.cdt.core.settings.model.util.PathSettingsContainer

public final class PathSettingsContainer extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(IPathSettingsContainerVisitor visitor)`
`void`
`addContainerListener(IPathSettingsContainerListener listenet)`
`static PathSettingsContainer`
`createRootContainer()`
`static PathSettingsContainer`
`createRootContainer(boolean patternMode)`
`PathSettingsContainer`
`getChildContainer(org.eclipse.core.runtime.IPath path, boolean create, boolean exactPath)`
`PathSettingsContainer`
`getChildContainer(org.eclipse.core.runtime.IPath path, boolean create, boolean exactPath, boolean patternSearch)`
`PathSettingsContainer[]`
`getChildren(boolean includeThis)`
`PathSettingsContainer[]`
`getChildrenForPath(org.eclipse.core.runtime.IPath path, boolean includePath)`
`PathSettingsContainer[]`
`getDirectChildren()`
`PathSettingsContainer[]`
`getDirectChildrenForPath(org.eclipse.core.runtime.IPath path)`
`PathSettingsContainer`
`getParentContainer()`
`org.eclipse.core.runtime.IPath`
`getPath()`
`PathSettingsContainer`
`getRootContainer()`
`Object`
`getValue()`
`Object[]`
`getValues(boolean includeThis)`
`boolean`
`hasChildren()`
`boolean`
`isRoot()`
`boolean`
`isValid()`
`void`
`remove()`
`Object`
`removeChildContainer(org.eclipse.core.runtime.IPath path)`
`void`
`removeChildren()`
`void`
`removeContainerListener(IPathSettingsContainerListener listenet)`
`void`
`setPath(org.eclipse.core.runtime.IPath path, boolean moveChildren)`
`Object`
`setValue(Object value)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### createRootContainer

public static PathSettingsContainer createRootContainer()

### createRootContainer

public static PathSettingsContainer createRootContainer(boolean patternMode)

### hasChildren

public boolean hasChildren()

### getChildContainer

public PathSettingsContainer getChildContainer(org.eclipse.core.runtime.IPath path, boolean create, boolean exactPath)

### getChildContainer

public PathSettingsContainer getChildContainer(org.eclipse.core.runtime.IPath path, boolean create, boolean exactPath, boolean patternSearch)

### getChildren

public PathSettingsContainer[] getChildren(boolean includeThis)

### getChildrenForPath

public PathSettingsContainer[] getChildrenForPath(org.eclipse.core.runtime.IPath path, boolean includePath)

### getDirectChildrenForPath

public PathSettingsContainer[] getDirectChildrenForPath(org.eclipse.core.runtime.IPath path)

### getDirectChildren

public PathSettingsContainer[] getDirectChildren()

### getValues

public Object[] getValues(boolean includeThis)

### getParentContainer

public PathSettingsContainer getParentContainer()

### removeChildContainer

public Object removeChildContainer(org.eclipse.core.runtime.IPath path)

### remove

public void remove()

### isValid

public boolean isValid()

### removeChildren

public void removeChildren()

### accept

public void accept(IPathSettingsContainerVisitor visitor)

### getPath

public org.eclipse.core.runtime.IPath getPath()

### setPath

public void setPath(org.eclipse.core.runtime.IPath path, boolean moveChildren)

### isRoot

public boolean isRoot()

### setValue

public Object setValue(Object value)

### getValue

public Object getValue()

### getRootContainer

public PathSettingsContainer getRootContainer()

### addContainerListener

public void addContainerListener(IPathSettingsContainerListener listenet)

### removeContainerListener

public void removeContainerListener(IPathSettingsContainerListener listenet)

### toString

public String toString()

Overrides:
  `toString` in class `Object`